Bug 461043 - lockd not using settings in sysconfig/nfs
lockd not using settings in sysconfig/nfs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.7
All Linux
medium Severity high
: rc
: ---
Assigned To: Steve Dickson
:
: 496121 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 12:20 EDT by Dan Astoorian
Modified: 2009-07-28 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Astoorian 2008-09-03 12:20:23 EDT
Description of problem:
The same problem as described in bug 434795 was also introduced with Red Hat Enterprise Linux 4.7.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-87.EL4

How reproducible:
Very

Steps to Reproduce:
1. On an NFS server, add LOCKD_TCPPORT= and LOCKD_UDPPORT settings to /etc/sysconfig/nfs (e.g., LOCKD_TCPPORT=4001 and LOCKD_UDPPORT=4001)
2. Reboot; run "rpcinfo -p" to observe which ports are used for nlockmgr.
 
Actual results:
"rpcinfo -p" shows that the nlockmgr service is not using the ports defined in /etc/sysconfig/nfs.  If the server's firewall rules depend on this, the nlockmgr service may be unreachable.

Expected results:
The nlockmgr service should be using the LOCKD_TCPPORT and LOCKD_UDPPORT settings.

Additional info:
The problem corresponds with the change to /etc/init.d/nfslock introduced between nfs-utils-1.0.6-84 and nfs-utils-1.0.6.87.  Installing the older script (which probes the lockd module with the appropriate parameters) treats the symptom.

As per bug 434795, the cause of the problem is that the sysctl's in the new version of the nfslock script are ineffective if the lockd module has not been loaded, because the settings (fs.nfs.nlm_tcpport and fs.nfs.nlm_udpport) do not exist yet.
Comment 4 Steve Dickson 2009-03-06 08:27:52 EST
Fixed in nfs-utils-1.0.6-90.EL4
Comment 11 errata-xmlrpc 2009-05-18 15:02:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0955.html
Comment 12 Jeff Layton 2009-07-28 15:20:53 EDT
*** Bug 496121 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.